Skip to main content

Update Property: Propertyware

PUThttps://api.propexo.com/v1/properties/propertyware/:property_id
Method
updateBuilding

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

property_id stringrequired

The Propexo unique identifier for the property

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    abbreviationstringrequired

    The abbreviation of the property. Example: PROP1

    namestringrequired

    The name of the property. Example: Property 1

    street_address_1stringrequired

    The first address line associated with the property

    street_address_2string

    The second address line associated with the property

    zipstring

    The zip code associated with the property

    citystring

    The city associated with the property

    countystring

    The county associated with the property

    statestring

    The state associated with the property

    countrystring

    The country associated with the property

    websitestring

    The website URL associated with the property

    square_footagestring

    The size of the property in square feet

    is_activestring

    Whether or not the property is currently active

    notesstring

    General notes about the property

    year_builtinteger

    The year the property was built

    categorystringrequired

    The category of the property. This is from a limited set of data that the PMS requires.

    Show 2 enum values
    ResidentialCommercial
    typestringrequired

    The type of the property. This is from a limited set of data that the PMS requires.

    Show 11 enum values
    ApartmentCondoCommercialDu/FourplexHouseSection 8/AffordableSeniorShort-term/vacationStudentTownhouseOther

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    property_idstringrequired

    The Propexo unique identifier for the property

    abbreviationstringrequired

    The abbreviation of the property. Example: PROP1

    namestringrequired

    The name of the property. Example: Property 1

    street_address_1stringrequired

    The first address line associated with the property

    street_address_2string

    The second address line associated with the property

    zipstring

    The zip code associated with the property

    citystring

    The city associated with the property

    countystring

    The county associated with the property

    statestring

    The state associated with the property

    countrystring

    The country associated with the property

    websitestring

    The website URL associated with the property

    square_footagestring

    The size of the property in square feet

    is_activestring

    Whether or not the property is currently active

    notesstring

    General notes about the property

    year_builtinteger

    The year the property was built

    categorystringrequired

    The category of the property. This is from a limited set of data that the PMS requires.

    Show 2 enum values
    ResidentialCommercial
    typestringrequired

    The type of the property. This is from a limited set of data that the PMS requires.

    Show 11 enum values
    ApartmentCondoCommercialDu/FourplexHouseSection 8/AffordableSeniorShort-term/vacationStudentTownhouseOther

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/properties/propertyware/:property_id
curl -X PUT https://api.propexo.com/v1/properties/propertyware/:property_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"abbreviation": "string",
"name": "string",
"street_address_1": "string",
"category": "Residential",
"type": "Apartment"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"property_id": "string",
"abbreviation": "string",
"name": "string",
"street_address_1": "string",
"street_address_2": "string",
"zip": "string",
"city": "string",
"county": "string",
"state": "string",
"country": "string",
"website": "string",
"square_footage": "string",
"is_active": "string",
"notes": "string",
"year_built": 0,
"category": "Residential",
"type": "Apartment"
}
}